Bug 1566778 - RHEL-7.5 (OSP10) : python-tripleoclient installation failed
Summary: RHEL-7.5 (OSP10) : python-tripleoclient installation failed
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: ---
Assignee: Julie Pichon
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 00:53 UTC by shaju
Modified: 2018-04-16 07:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-16 07:32:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
python-tripleoclient installation log (47.66 KB, text/plain)
2018-04-13 00:56 UTC, shaju
no flags Details
sos report (8.36 MB, application/x-xz)
2018-04-13 17:45 UTC, shaju
no flags Details
rpms list from under cloud (10.96 KB, text/plain)
2018-04-13 17:45 UTC, shaju
no flags Details
python-triplet client installation logs after clearing cache (44.66 KB, text/plain)
2018-04-13 17:46 UTC, shaju
no flags Details

Description shaju 2018-04-13 00:53:55 UTC
Description of problem:

While installing python-tripleoclient as part of undercloud installation it failed due to dependency.


--> Processing Dependency: python-websocket-client for package: python-tripleoclient-5.4.5-1.el7ost.noarch
--> Finished Dependency Resolution
Error: Package: libselinux-ruby-2.5-11.el7.x86_64 (rhel-7-server-rpms)
           Requires: libselinux(x86-64) = 2.5-11.el7
           Installed: libselinux-2.5-12.el7.x86_64 (installed)
               libselinux(x86-64) = 2.5-12.el7
           Available: libselinux-2.2.2-6.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.2.2-6.el7
           Available: libselinux-2.5-6.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.5-6.el7
           Available: libselinux-2.5-11.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.5-11.el7
Error: Package: openstack-tripleo-common-5.4.7-1.el7ost.noarch (rhel-7-server-openstack-10-rpms)
           Requires: python-docker-py
Error: Package: python-tripleoclient-5.4.5-1.el7ost.noarch (rhel-7-server-openstack-10-rpms)
           Requires: python-websocket-client
Error: Package: python-eventlet-0.18.4-2.el7ost.noarch (rhel-7-server-openstack-10-rpms)
           Requires: python-greenlet
Error: Package: glibc-2.17-196.el7_4.2.i686 (rhel-7-server-rpms)
           Requires: glibc-common = 2.17-196.el7_4.2
           Installed: glibc-common-2.17-222.el7.x86_64 (installed)
               glibc-common = 2.17-222.el7
           Available: glibc-common-2.17-55.el7.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-55.el7
           Available: glibc-common-2.17-55.el7_0.1.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-55.el7_0.1
           Available: glibc-common-2.17-55.el7_0.3.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-55.el7_0.3
           Available: glibc-common-2.17-55.el7_0.5.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-55.el7_0.5
           Available: glibc-common-2.17-78.el7.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-78.el7
           Available: glibc-common-2.17-105.el7.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-105.el7
           Available: glibc-common-2.17-106.el7_2.1.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-106.el7_2.1
           Available: glibc-common-2.17-106.el7_2.4.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-106.el7_2.4
           Available: glibc-common-2.17-106.el7_2.6.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-106.el7_2.6
           Available: glibc-common-2.17-106.el7_2.8.x86_64 (rhel-7-server-rpms)

Attached the logs of execution

Version-Release number of selected component (if applicable):

rhel-7.5 OSP10

How reproducible:

sudo yum install -y python-tripleoclient

Steps to Reproduce:
1. sudo yum install -y python-tripleoclient in OSP10 rhel-7.5
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 shaju 2018-04-13 00:54:19 UTC
[stack@undercloud ~]$ sudo subscription-manager repos --enable=rhel-7-server-extras-rpms
Repository 'rhel-7-server-extras-rpms' is enabled for this system.
[stack@undercloud ~]$ sudo yum install libselinux-ruby
Loaded plugins: product-id, search-disabled-repos, subscription-manager
rhel-7-server-extras-rpms                                                                                                                | 3.4 kB  00:00:00
rhel-7-server-nfv-rpms                                                                                                                   | 4.0 kB  00:00:00
rhel-7-server-openstack-10-devtools-rpms                                                                                                 | 4.0 kB  00:00:00
rhel-7-server-openstack-10-rpms                                                                                                          | 4.0 kB  00:00:00
rhel-7-server-rh-common-rpms                                                                                                             | 3.8 kB  00:00:00
rhel-7-server-rpms                                                                                                                       | 3.5 kB  00:00:00
rhel-ha-for-rhel-7-server-rpms                                                                                                           | 3.4 kB  00:00:00
(1/3): rhel-7-server-extras-rpms/x86_64/group                                                                                            |  104 B  00:00:00
(2/3): rhel-7-server-extras-rpms/x86_64/updateinfo                                                                                       | 255 kB  00:00:00
(3/3): rhel-7-server-extras-rpms/x86_64/primary_db                                                                                       | 379 kB  00:00:00
Resolving Dependencies
--> Running transaction check
---> Package libselinux-ruby.x86_64 0:2.5-11.el7 will be installed
--> Processing Dependency: libselinux(x86-64) = 2.5-11.el7 for package: libselinux-ruby-2.5-11.el7.x86_64
--> Finished Dependency Resolution
Error: Package: libselinux-ruby-2.5-11.el7.x86_64 (rhel-7-server-rpms)
           Requires: libselinux(x86-64) = 2.5-11.el7
           Installed: libselinux-2.5-12.el7.x86_64 (installed)
               libselinux(x86-64) = 2.5-12.el7
           Available: libselinux-2.2.2-6.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.2.2-6.el7
           Available: libselinux-2.5-6.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.5-6.el7
           Available: libselinux-2.5-11.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.5-11.el7
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: libselinux-ruby-2.5-11.el7.x86_64 (rhel-7-server-rpms)
           Requires: libselinux(x86-64) = 2.5-11.el7
           Installed: libselinux-2.5-12.el7.x86_64 (installed)
               libselinux(x86-64) = 2.5-12.el7
           Available: libselinux-2.2.2-6.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.2.2-6.el7
           Available: libselinux-2.5-6.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.5-6.el7
           Available: libselinux-2.5-11.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.5-11.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
[stack@undercloud ~]$

Comment 2 shaju 2018-04-13 00:54:53 UTC
[stack@undercloud ~]$ yum whatprovides libselinux-ruby
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Repo rhel-7-server-openstack-10-devtools-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-rh-common-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-ha-for-rhel-7-server-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-openstack-10-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-nfv-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
libselinux-ruby-2.2.2-6.el7.x86_64 : SELinux ruby bindings for libselinux
Repo        : rhel-7-server-rh-common-rpms



libselinux-ruby-2.2.2-6.el7.x86_64 : SELinux ruby bindings for libselinux
Repo        : rhel-7-server-rpms



libselinux-ruby-2.5-6.el7.x86_64 : SELinux ruby bindings for libselinux
Repo        : rhel-7-server-rpms



libselinux-ruby-2.5-11.el7.x86_64 : SELinux ruby bindings for libselinux
Repo        : rhel-7-server-rpms

Comment 3 shaju 2018-04-13 00:56:40 UTC
Created attachment 1421115 [details]
python-tripleoclient installation log

Comment 4 shaju 2018-04-13 00:58:29 UTC
one of the dependency error: 

7.5 comes with libselinux-2.5-12 but OSP10 repo expecting version 2.5-11.el7

===
 Requires: libselinux(x86-64) = 2.5-11.el7
           Installed: libselinux-2.5-12.el7.x86_64 (installed)

Comment 5 shaju 2018-04-13 01:03:28 UTC
I have tried this with enabling rhel-7-server-extras-rpms as well as after disabling rhel-7-server-extras-rpms repo. but no chenage. OSP10 + RHEL7.5 has many dependency issue

Undercloud installation in 7.4 also failed with 7.4, after seeing the comment on bug: 
https://bugzilla.redhat.com/show_bug.cgi?id=1566734 I have created a 7.5 undercloud but it failed before installing undercloud.

[stack@undercloud ~]$ yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Repo rhel-7-server-extras-rpms forced skip_if_unavailable=True due /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-openstack-10-devtools-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-rh-common-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-ha-for-rhel-7-server-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-openstack-10-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
Repo rhel-7-server-nfv-rpms forced skip_if_unavailable=True due to: /etc/pki/entitlement/6719554955912298400-key.pem
repo id                                                           repo name                                                                               status
rhel-7-server-extras-rpms/x86_64                                  Red Hat Enterprise Linux 7 Server - Extras (RPMs)                                          814
rhel-7-server-nfv-rpms/x86_64                                     Red Hat Enterprise Linux for Real Time for NFV (RHEL 7 Server) (RPMs)                      268
rhel-7-server-openstack-10-devtools-rpms/x86_64                   Red Hat OpenStack Platform 10 Developer Tools for RHEL 7 (RPMs)                             10
rhel-7-server-openstack-10-rpms/x86_64                            Red Hat OpenStack Platform 10 for RHEL 7 (RPMs)                                          1,903
rhel-7-server-rh-common-rpms/x86_64                               Red Hat Enterprise Linux 7 Server - RH Common (RPMs)                                       231
rhel-7-server-rpms/x86_64                                         Red Hat Enterprise Linux 7 Server (RPMs)                                                18,263
rhel-ha-for-rhel-7-server-rpms/x86_64                             Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (RPMs)                      417
repolist: 21,906

Comment 6 Julie Pichon 2018-04-13 16:32:54 UTC
Are you using the same system than in the other bug? It looks like some mix of 7.4 and 7.5 packages. All the selinux packages should be -12 and they come from the RHEL repositories, not OSP.

Before anything else, can you run "sudo yum clean all" and try again?

If that doesn't work you probably should see if you're using a tool like yum versionlock or if there might be an issue with the satellite configuration. I couldn't reproduce locally on a new system:

libselinux-ruby-2.5-12.el7.x86_64 : SELinux ruby bindings for libselinux
Repo        : rhel-7-server-rpms

libselinux-2.5-12.el7.x86_64 : SELinux library and simple utilities
Repo        : rhel-7-server-rpms

Comment 7 shaju 2018-04-13 17:44:38 UTC
This is a new deployment, and I am using subscription-manager (not satellite). 

Please find the attachments sos report, rpms list from undercloud , tripleoclient installation failure logs after clearing cache as per comment #6

[stack@undercloud ~]$ sudo yum repolist
Loaded plugins: product-id, search-disabled-repos, subscription-manager
repo id                                                           repo name                                                                               status
rhel-7-server-extras-rpms/x86_64                                  Red Hat Enterprise Linux 7 Server - Extras (RPMs)                                          814
rhel-7-server-nfv-rpms/x86_64                                     Red Hat Enterprise Linux for Real Time for NFV (RHEL 7 Server) (RPMs)                      268
rhel-7-server-openstack-10-devtools-rpms/x86_64                   Red Hat OpenStack Platform 10 Developer Tools for RHEL 7 (RPMs)                             10
rhel-7-server-openstack-10-rpms/x86_64                            Red Hat OpenStack Platform 10 for RHEL 7 (RPMs)                                          1,903
rhel-7-server-rh-common-rpms/x86_64                               Red Hat Enterprise Linux 7 Server - RH Common (RPMs)                                       231
rhel-7-server-rpms/x86_64                                         Red Hat Enterprise Linux 7 Server (RPMs)                                                18,263
rhel-ha-for-rhel-7-server-rpms/x86_64                             Red Hat Enterprise Linux High Availability (for RHEL 7 Server) (RPMs)                      417
repolist: 21,906

[stack@undercloud ~]$
[stack@undercloud ~]$ sudo yum clean all
Loaded plugins: product-id, search-disabled-repos, subscription-manager
Cleaning repos: rhel-7-server-extras-rpms rhel-7-server-nfv-rpms rhel-7-server-openstack-10-devtools-rpms rhel-7-server-openstack-10-rpms
              : rhel-7-server-rh-common-rpms rhel-7-server-rpms rhel-ha-for-rhel-7-server-rpms
Cleaning up everything
Maybe you want: rm -rf /var/cache/yum, to also free up space taken by orphaned data from disabled or removed repos

[stack@undercloud ~]$
[stack@undercloud ~]$ sudo rm -rf /var/cache/yum

[stack@undercloud ~]$
[stack@undercloud ~]$ cat /etc/redhat-release
Red Hat Enterprise Linux Server release 7.5 (Maipo)
[stack@undercloud ~]$
[stack@undercloud ~]$

[stack@undercloud ~]$
[stack@undercloud ~]$
[stack@undercloud ~]$ sudo yum install -y python-tripleoclient > python-tripleoclient-new.txt
Error: Package: libselinux-ruby-2.5-11.el7.x86_64 (rhel-7-server-rpms)
           Requires: libselinux(x86-64) = 2.5-11.el7
           Installed: libselinux-2.5-12.el7.x86_64 (installed)
               libselinux(x86-64) = 2.5-12.el7
           Available: libselinux-2.2.2-6.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.2.2-6.el7
           Available: libselinux-2.5-6.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.5-6.el7
           Available: libselinux-2.5-11.el7.x86_64 (rhel-7-server-rpms)
               libselinux(x86-64) = 2.5-11.el7
Error: Package: glibc-2.17-196.el7_4.2.i686 (rhel-7-server-rpms)
           Requires: glibc-common = 2.17-196.el7_4.2
           Installed: glibc-common-2.17-222.el7.x86_64 (installed)
               glibc-common = 2.17-222.el7
           Available: glibc-common-2.17-55.el7.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-55.el7
           Available: glibc-common-2.17-55.el7_0.1.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-55.el7_0.1
           Available: glibc-common-2.17-55.el7_0.3.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-55.el7_0.3
           Available: glibc-common-2.17-55.el7_0.5.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-55.el7_0.5
           Available: glibc-common-2.17-78.el7.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-78.el7
           Available: glibc-common-2.17-105.el7.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-105.el7
           Available: glibc-common-2.17-106.el7_2.1.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-106.el7_2.1
           Available: glibc-common-2.17-106.el7_2.4.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-106.el7_2.4
           Available: glibc-common-2.17-106.el7_2.6.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-106.el7_2.6
           Available: glibc-common-2.17-106.el7_2.8.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-106.el7_2.8
           Available: glibc-common-2.17-157.el7.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-157.el7
           Available: glibc-common-2.17-157.el7_3.1.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-157.el7_3.1
           Available: glibc-common-2.17-157.el7_3.2.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-157.el7_3.2
           Available: glibc-common-2.17-157.el7_3.4.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-157.el7_3.4
           Available: glibc-common-2.17-157.el7_3.5.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-157.el7_3.5
           Available: glibc-common-2.17-196.el7.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-196.el7
           Available: glibc-common-2.17-196.el7_4.2.x86_64 (rhel-7-server-rpms)
               glibc-common = 2.17-196.el7_4.2
[stack@undercloud ~]$ 
[stack@undercloud ~]$ 
[stack@undercloud ~]$ 
[stack@undercloud ~]$ rpm -qa | grep versionlock
[stack@undercloud ~]$ 
[stack@undercloud ~]$ 
[stack@undercloud ~]$ rpm -qa > rpms.txt
[stack@undercloud ~]$ 
[stack@undercloud ~]$

Comment 8 shaju 2018-04-13 17:45:14 UTC
Created attachment 1421483 [details]
sos report

Comment 9 shaju 2018-04-13 17:45:43 UTC
Created attachment 1421484 [details]
rpms list from under cloud

Comment 10 shaju 2018-04-13 17:46:21 UTC
Created attachment 1421485 [details]
python-triplet client installation logs after clearing cache

Comment 11 Julie Pichon 2018-04-16 07:32:29 UTC
Thank you for including all the information. The yum repository info still references 7.4, that is the problem:

/etc/yum.repos.d/redhat.repo:
[rhel-7-server-rpms]
[...]
baseurl = https://cdn.redhat.com/content/dist/rhel/server/7/7.4/$basearch/os


Note You need to log in before you can comment on or make changes to this bug.